#!/bin/bash
# =================================================================================================
# empty_out_file.sh : automation script
#
# Called by the filesize checker when files containing data we don't wish to keep reach
# a certain threshold. Will empty out the file.
#
# We exit 0 if there are no problems.
# We exit 1 if we have problems, the actioncmd.sh script will raise an alert for us.
# =================================================================================================
filename="$2"

# Library is relative to the script directory not the callers
# directory, so do this to get it.
mydir=`dirname $0`
. ${mydir}/../tools_library

if [ -f ${filename} ];
then
   automation_log_message "Erasing contents of file ${filename}"
   >${filename}
else
   echo "**ERROR** File not found: to empty ${filename}"
   automation_log_message "**ERROR** File not found: to empty ${filename}"
   exit 1
fi
exit 0
