#!/bin/bash
# =================================================================================================
# httpd_rollover.sh : automation script
#
# Called by the filesize checker wjen the access_log or error_log get too large.
# Will invoke the script that normally runs at midnight to rollover the httpd log files
# and start the webtrends reporting.
#
# We exit 0 if there are no problems.
# We exit 1 if we have problems, the actioncmd.sh script will raise an alert for us.
# =================================================================================================
# Library is relative to the script directory not the callers
# directory, so do this to get it.
mydir=`dirname $0`
. ${mydir}/../tools_library

# Script I use to role over the logs and then run webalizer against them
log_processor="/opt/dickinson/job_scheduler/jobs/web/daily_website_stats.sh"
if [ -x ${log_processor} ];
then
   automation_log_message "Performing httpd logfile rollover"
   ${log_processor}
else
   echo "**ERROR** File not found: ${log_processor}"
   automation_log_message "**ERROR** File not found: ${log_processor}"
   exit 1
fi
exit 0
