#!/bin/bash

# Get the directory this script is in as our base directory,
# set the output directory to be in bin under this.
#
# DO NOT LEAVE THIS UNSET !, or your output will be in the root directory
sourcedir=`pwd`
outputdir="${sourcedir}/temp_bin"

# If the output directory does not exist, create it
if [ ! -d ${outputdir} ];
then
   echo "Creating ${outputdir}"
   mkdir -p ${outputdir}
   chmod 755 ${outputdir}
fi

# A helper for the compiles
compile() {
   gcc -o $1 $2
   xx=$?
   if [ "${xx}." != "0." ];
   then
      echo "Compile of $1 failed with rc=${xx}, aborting compiles"
      exit 1
   fi
} # compile

# Server
echo "--SERVER--"
cd server
echo "#define LINUX" > system_type.h
compile ${outputdir}/alert_collector_server alert_collector_server.c
cd ..

# Console
echo "--CONSOLE--"
cd console
echo "#define LINUX" > system_type.h
compile ${outputdir}/alert_console alert_console.c
cd ..

# Utilities 
echo "--UTILITIES--"
cd utilities
echo "#define LINUX" > system_type.h
compile ${outputdir}/raise_alert raise_alert.c
compile ${outputdir}/log_parser log_parser.c
compile ${outputdir}/reload_alerts reload_alerts.c
compile ${outputdir}/clean_shutdown clean_shutdown.c
cd ..

exit 0
