package console.client;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.table.*;
import javax.swing.event.*;
import javax.swing.border.*;
import java.util.Vector;

import console.client.Constants;
import console.client.SocketObject;

/** 
 * Provides the customised menu bar and the menu item
 * handlers required by the applet.
 */

/*
----------------------------------------------------------------
Class: Alert_Console_Applet_MenuBar
Must be passed the serverconnection class and TimerTask class
used by the mainline to do a clean shutdown, this is required
as I have not figured out how to pass a window closing event
up the chain.
----------------------------------------------------------------
*/
public class Alert_Console_Applet_MenuBar extends JMenuBar implements Constants {
    /**
     * Create the menu bar for the applet and create the Listener tasks
     * for the menu bar.
     */
    JMenu menu2 = new JMenu( "Alert Management" );
    SocketObject serverConnection;

    public Alert_Console_Applet_MenuBar( SocketObject serverConnection ) {
        /**
        Constructor for the class. Needs to be passed the SocketObject
        created in the main class so menu events that require communication
        with the server know the socket information to send the request down.        
        The constructor defines the menu and menu elements, and the listeners
        for the menu object.
        */
        // Set the serverConnection information we need.
        this.serverConnection = serverConnection;

        // Create the handler classes first

        // All normal menu events
        menu_actionlistener menu_handler = new menu_actionlistener();

        // build the menu items        

        // The Alert activity functions
        JMenuItem menuItem3 = new JMenuItem("Refresh alert list immediately", KeyEvent.VK_R);
        menuItem3.addActionListener(menu_handler);
        menu2.add(menuItem3);
        add(menu2);
    } /* Alert_MenuBar constructor */

    // Add the listener for menu events
    class menu_actionlistener implements ActionListener {
       /**
        * Listens for menu events and takes the appropriate actions.
        */
       public void actionPerformed(ActionEvent e) {
          if (e.getActionCommand() == "Refresh alert list immediately") {
             serverConnection.writeBuffer( API_CMD_REFRESHLIST );
          }
          else {
             // Unknown, ignore.
          }
       }

      // Probably don't need this as out lists are not editable
      public void itemStateChanged(ItemEvent e) {
        /**
         * placeholder. Our lists are not editable but I may change
         * that later.
         */
         // get information from the item event
         // do something with it
      }

    }
} /* end of Alert_Console_Applet_MenuBar */
