package console.client;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.table.*;
import javax.swing.event.*;
import javax.swing.border.*;
import java.util.Vector;

import console.client.Constants;
import console.client.SocketObject;

/** 
 * Provides the customised menu bar and the menu item
 * handlers required by the application.
 */

/*
----------------------------------------------------------------
Class: Alert_Console_MenuBar
Must be passed the serverconnection class and TimerTask class
used by the mainline to do a clean shutdown, this is required
as I have not figured out how to pass a window closing event
up the chain.
----------------------------------------------------------------
*/
public class Alert_Console_MenuBar extends JMenuBar implements Constants {
    /**
     * Create the menu bar for the application and create the Listener tasks
     * for the menu bar.
     */
    JMenu menu1 = new JMenu( "File" );
    JMenu menu2 = new JMenu( "Alert Management" );
//    JMenu menu3 = new JMenu( "Help" );
    SocketObject serverConnection;

    public Alert_Console_MenuBar( SocketObject serverConnection ) {
        /**
        Constructor for the class. Needs to be passed the SocketObject
        created in the main class so menu events that require communication
        with the server know the socket information to send the request down.        
        The constructor defines the menu and menu elements, and the listeners
        for the menu object.
        */
        // Set the serverConnection information we need.
        this.serverConnection = serverConnection;

        // Create the handler classes first

        // All normal menu events
        menu_actionlistener menu_handler = new menu_actionlistener();
        // build the menu items        
//        JMenuItem menuItem = new JMenuItem("reConnect");
//        menuItem.setMnemonic(KeyEvent.VK_C);
//        menuItem.addActionListener(menu_handler);
//        menu1.add(menuItem);
//        menu1.addSeparator();
        JMenuItem menuItem2 = new JMenuItem("Exit", KeyEvent.VK_X);
        menuItem2.addActionListener(menu_handler);       
        menu1.add(menuItem2);
        add(menu1);

        // The Alert activity functions
        JMenuItem menuItem3 = new JMenuItem("Refresh alert list immediately", KeyEvent.VK_R);
        menuItem3.addActionListener(menu_handler);
        menu2.add(menuItem3);
        add(menu2);

//        JMenuItem menuItem4 = new JMenuItem("Help on program", KeyEvent.VK_H);
//        menuItem4.addActionListener(menu_handler);
//        menu3.add(menuItem4);
//        add(menu3)
    } /* Alert_MenuBar constructor */

    // Add the listener for menu events
    class menu_actionlistener implements ActionListener {
       /**
        * Listens for menu events and takes the appropriate actions.
        */
       public void actionPerformed(ActionEvent e) {
          // Should throw a window closng to the main application
          // but I havn't figured out how to do that.
          if (e.getActionCommand() == "Exit") {
             System.exit(0);
          }
          else if (e.getActionCommand() == "Refresh alert list immediately") {
             serverConnection.writeBuffer( API_CMD_REFRESHLIST );
          }
//          else if (e.getActionCommand() == "Help on program") {
//              // Just show a new window for now
//              Component c = this.getParent();
//              while (c!=null && !(c instanceof Frame)) c=c.getParent();
//              Window w = new Window( (Frame)c );
//              w.setbounds( 50, 50, 250, 100 );
//              w.show();
//          }
          else {
             // Unknown, log for debugging.
             System.out.println("field is "+e.getActionCommand());
          }
       }

      // Probably don't need this as out lists are not editable
      public void itemStateChanged(ItemEvent e) {
        /**
         * placeholder. Our lists are not editable but I may change
         * that later.
         */
         // get information from the item event
         // do something with it
      }

    }
} /* end of Alert_Console_MenuBar */
