REM **********************************************
REM            Compile_Classes.bat
REM        Part of Marks Alert Toolkit
REM
REM   Compile file, compiles all the classes in the
REM   correct order to ensure that the subclasses
REM   are defined before any major classes try to
REM   use them.
REM
REM   Last updated: 18 July 2003
REM
REM   Compile in this order
REM **********************************************
REM CLASSPATH=$CLASSPATH;D:\My_Java_Source\alert_console
D:
cd \My_Java_Source\alert_console_list
PATH=C:\jdk1.3.1\bin

REM ---------------------------------------------------------
REM              Common functions and values
REM        Shared between the application and applet
REM ---------------------------------------------------------

javac -d D:\My_Java_Source\alert_console_list Constants.java
javac -d D:\My_Java_Source\alert_console_list Listener.java
javac -d D:\My_Java_Source\alert_console_list ListItem.java

REM --- Needed by socketreadthread ---
javac -d D:\My_Java_Source\alert_console_list DisplayDetailsWindow.java

REM --- Networking components ---

javac -d D:\My_Java_Source\alert_console_list SocketIdentifier.java
javac -d D:\My_Java_Source\alert_console_list SocketReadThread.java
javac -d D:\My_Java_Source\alert_console_list CreateNewSocket.java

REM --- Menu Bar, Seperate ones for application and applet ---
javac -d D:\My_Java_Source\alert_console_list Alert_Console_MenuBar.java
javac -d D:\My_Java_Source\alert_console_list Alert_Console_Applet_MenuBar.java

REM --- Mouse Handlers ---
javac -d D:\My_Java_Source\alert_console_list Alert_Console_List_MouseAdapter.java

REM ---------------------------------------------------------
REM                 Application Compile
REM ---------------------------------------------------------
REM javac -deprecation Alert_Console_Application.java
javac Alert_Console_Application.java

REM ---------------------------------------------------------
REM                   Applet Compile
REM ---------------------------------------------------------
javac Alert_Console_Applet.java

REM ---------------------------------------------------------
REM
REM                CREATE THE JAR FILE
REM
REM  The manifest file we use identifies the application as
REM  the man class as this is what we want to run by default.
REM  The java -jar ... will run this if it's run as an
REM  application.
REM
REM  The manifest in the current version of java is ignored
REM  anyway as it uses the archive/code combination in the
REM  applet tag to find the class to run from an html page.
REM
REM ---------------------------------------------------------
jar cvfm Alert_Console_Application.jar appl_manifest *.class console/client/*.class