package console.client;

/**
  Constants:

  Defines the constants used throughout the application.
  The key ones are the API command headers that are used
  to query the server.
  This class also contains timer constants.
*/
public interface Constants {

    // ****************************************************************
    // various constants for the client
    // ****************************************************************

    // Timer Values
    public static final long ONE_SECOND = 1000;
    public static final long FIVE_SECONDS = ONE_SECOND * 5;
    public static final long TWENTY_SECONDS = ONE_SECOND * 20;
    public static final long ONE_MINUTE = ONE_SECOND * 60;
    public static final long FIVE_MINUTES = ONE_MINUTE * 5;

    // ****************************************************************
    // Commands for our API Interface
    // ****************************************************************

    // ----------------------------------------------------------------
    // Command to request a refresh of the display list
    // ----------------------------------------------------------------
    public static final String API_CMD_REFRESHLIST = 
      "CONSOLE50_120  1.0.1      DUMMYHOSTNAME   N/A            00000 SLYYYYYMMDD HH:MM 0000 ";

    // ----------------------------------------------------------------
    // Command to acknowledge an alert. Needs caller to replace the keys.
    // ----------------------------------------------------------------
    public static final String API_CMD_DELETE_1 =
      "CONSOLE50_120  1.0.1      ";
    public static final String API_CMD_DELETE_2 =
      " 00000 ADNYYYYMMDD HH:MM 0000 ";
    // Result "CONSOLE50_120  1.0.1      hostname        key            00000 ADNYYYYMMDD HH:MM 0000 ";

    // ----------------------------------------------------------------
    // Command to acknowledge an alert. Needs caller to replace the keys.
    // ----------------------------------------------------------------
    public static final String API_CMD_DELETEUNTIL_1 =
      "CONSOLE50_120  1.0.1      ";
    public static final String API_CMD_DELETEUNTIL_2 =
      " 00000 KKNYYYYMMDD HH:MM 0000 ";
    // Result "CONSOLE50_120  1.0.1      hostname        key            00000 KKNYYYYMMDD HH:MM 0000 ";

    // ----------------------------------------------------------------
    // Command to acknowledge an alert. Needs caller to replace the keys.
    // ----------------------------------------------------------------
    public static final String API_CMD_ACKNOWLEDGE_1 =
      "CONSOLE50_120  1.0.1      ";
    public static final String API_CMD_ACKNOWLEDGE_2 =
      " 00000 ACNYYYYMMDD HH:MM 0000 ";
    // Result "CONSOLE50_120  1.0.1      hostname        key            00000 ACNYYYYMMDD HH:MM 0000 ";

    // ----------------------------------------------------------------
    // Command to retrieve details for an alert.
    // ----------------------------------------------------------------
    public static final String API_CMD_SHOWDETAILS_1 =
      "CONSOLE50_120  1.0.1      ";
    public static final String API_CMD_SHOWDETAILS_2 =
      " 00000 SDYYYYYMMDD HH:MM 0000 ";
    // Result "CONSOLE50_120  1.0.1      hostname        key            00000 SDYYYYYMMDD HH:MM 0000 ";

} // end of interface Constants
