package console.client;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;
import java.util.Vector;
import java.io.*;

import javax.swing.JTextField;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JFrame;
import javax.swing.BorderFactory;
import javax.swing.DefaultListModel;
import java.awt.Component;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

/**
 * Called by the SocketReadThread task when a data buffer
 * recieved from the alert server has a header indicating
 * an alert detail display response.
 * Creates a new window to display the data in the buffer,
 * and processes the buffer into a displayable for for display.
 */

/*
----------------------------------------------------------------
Class: DisplayDetailsWindow

Create a socket read thread for the socket identifier we have
just been passed.
----------------------------------------------------------------
*/
public class DisplayDetailsWindow {
  

   // Constructor, we expect a string to be passed in the
   // format the alert server returns for a show details request.
   public DisplayDetailsWindow(String sDataVar) {
        /**
         * Parses the data in a detail display response and formats
         * it appropriately. Places the data in a new Jframe in a
         * JTextArea.
         */

        int i2;
        String localDataBuf, displayDataBuf;
        localDataBuf = sDataVar;
        // There is a ^ at the end of each logical line, replace that
        // with a new line character for the display. Do this by copying
        // the logical lines from the reply buffer into a new buffer where
        // in the new buffer the lines are seperated by the \n rather than
        // the ^ byte.  

        // Put the text field we have build into it's own window.
        JFrame DetailsFrame = new JFrame( "Alert Detail Information" );
        Container container = DetailsFrame.getContentPane();
        container.setLayout(new FlowLayout());
        JPanel DetailPanel = new JPanel();
        final JTextArea detailText = new JTextArea();

        // Use the system new line character to ensure portability.
        String newlinechar = System.getProperty("line.separator");

        // Initialise the text area to an empty area before we start looping
        detailText.setText("");
        try {
           // There is a ^ at the end of each logical data line from the server
           while ((i2 = localDataBuf.indexOf('^')) > 5) { // 5 to catch bad data or even
                                                          // ourselves substringing only 
                                                          // to the ^ we search for.
              // BUG: trim does not remove leading spaces
              displayDataBuf = localDataBuf.substring( 0, i2 );
              detailText.append( displayDataBuf );
              detailText.append( newlinechar );

              // Need to adjust the full buffer we are parsing as well so the data we
              // have just parsed over is removed from the buffer being processed.
              if ((i2+1) < localDataBuf.length()) {
                 localDataBuf = localDataBuf.substring( (i2+1), localDataBuf.length() );
                 localDataBuf.trim();
              }
           } // while
        } 
        catch (IndexOutOfBoundsException e2) {
            System.out.println( "IndexOutOfBounds, string left is..." );
            System.out.println( localDataBuf );
        }

        // Put the text area into a scrollpane.
        JScrollPane detailpane = new JScrollPane( detailText );

        // Define the layout
        DetailPanel.add( detailpane, BorderLayout.CENTER );
        DetailsFrame.setContentPane( DetailPanel );
        DetailsFrame.pack();

        // Set the display area to use and show the window 
        DetailsFrame.setBounds(50,50,400,300);
        // Set the size of the internal list here, we need to find out
        // how to resize this when the main window is resized.
                                 // width - 60, hight - 80
        detailpane.setPreferredSize( new Dimension( 340, 220 ) );
        DetailsFrame.setVisible(true);
        DetailsFrame.show();
  } // DisplayDetailsWindow constructor

} // end of DisplayDetailsWindow class